Skip to main content
GET
/
collections
/
{network}
/
{contract}
Get Collection Info
curl --request GET \
  --url https://api.inprocess.world/api/collections/{network}/{contract}
import requests

url = "https://api.inprocess.world/api/collections/{network}/{contract}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.inprocess.world/api/collections/{network}/{contract}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "address": "<string>",
  "chain_id": 123,
  "name": "<string>",
  "uri": "<string>",
  "creator": {
    "address": "<string>",
    "username": "<string>"
  },
  "admins": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "metadata": {
    "name": "<string>",
    "image": "<string>",
    "description": "<string>",
    "content": {
      "mime": "<string>",
      "uri": "<string>"
    }
  }
}
{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}
{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}
{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}

Path Parameters

network
string
required

CAIP-2 chain reference in the format eip155:{chainId} (e.g. eip155:8453 for Base mainnet)

Example:

"eip155:8453"

contract
string
required

CAIP-style asset reference in the format erc1155:{address} (e.g. erc1155:0xabc...)

Example:

"erc1155:0x1234567890abcdef1234567890abcdef12345678"

Response

Successful response

id
string<uuid>
required

UUID of the collection

address
string
required

Contract address of the collection

chain_id
integer
required

Chain ID where the collection exists

name
string
required

Collection name

uri
string
required

Metadata URI

creator
object
required

Original admin set at collection creation

admins
string[]
required

Array of addresses with admin permissions

created_at
string<date-time>
required

ISO timestamp when the collection was created

updated_at
string<date-time>
required

ISO timestamp when the collection was updated

protocol
enum<string>
required

Protocol the collection belongs to

Available options:
in_process,
catalog,
sound.xyz
metadata
object

Collection metadata object